"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createInteractionContextWithLogger = void 0;
const client_1 = require("@cardano-ogmios/client");
exports.createInteractionContextWithLogger = (connection, logger, module, onClose) => client_1.createInteractionContext((error) => {
    logger.error({ module, error }, error.message);
}, (code, reason) => __awaiter(void 0, void 0, void 0, function* () {
    if (code === 1000) {
        logger.info({ module, code }, reason);
    }
    else {
        logger.error({ module, code }, 'Connection closed');
        yield (onClose === null || onClose === void 0 ? void 0 : onClose());
    }
}), {
    connection,
    interactionType: 'LongRunning'
});
//# sourceMappingURL=util.js.map